com.holonplatform.vaadin.components.builders

## Interface ClickableLayoutConfigurator.BaseClickableLayoutConfigurator

- All Superinterfaces:
    ClickableLayoutConfigurator<ClickableLayoutConfigurator.BaseClickableLayoutConfigurator>, ComponentConfigurator<ClickableLayoutConfigurator.BaseClickableLayoutConfigurator>, ComponentContainerConfigurator<ClickableLayoutConfigurator.BaseClickableLayoutConfigurator>
  Enclosing interface:
    ClickableLayoutConfigurator<B extends ClickableLayoutConfigurator<B>>

      public static interface ClickableLayoutConfigurator.BaseClickableLayoutConfigurator
      extends ClickableLayoutConfigurator<ClickableLayoutConfigurator.BaseClickableLayoutConfigurator>

  Base `ClickableLayoutConfigurator`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ClickableLayoutConfigurator

      `ClickableLayoutConfigurator.BaseClickableLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ClickableLayoutConfigurator

      `withLayoutClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentContainerConfigurator

      `add, withComponentAttachListener, withComponentDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

Copyright © 2017 The Holon Platform. All rights reserved.